[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Discuss-gnuradio] PS3 cross-compile problem

From: Andreas Fernström
Subject: [Discuss-gnuradio] PS3 cross-compile problem
Date: Sun, 27 Jul 2008 04:02:32 +0200


I have problem cross compiling GNU Radio on my x86_64 machine for my ps3. 
I've never tried cross compiling before, so I'm not sure that I've got 
everything right,
but when I try (on the x86_64 machine) to run 

address@hidden trunk]$ ./configure-cell-cross --prefix=/mnt/share/cell-install 

I get the following errors printed in config.log
configure:3036: checking for powerpc64-unknown-linux-gnu-gcc
configure:3063: result: ppu32-gcc
configure:3341: checking for C compiler version
configure:3348: ppu32-gcc --version>&5
./configure: line 3349: ppu32-gcc: command not found
configure:3351: $? = 127
configure:3358: ppu32-gcc -v>&5
./configure: line 3359: ppu32-gcc: command not found
configure:3361: $? = 127
configure:3368: ppu32-gcc -V>&5
./configure: line 3369: ppu32-gcc: command not found
configure:3371: $? = 127
configure:3394: checking for C compiler default output file name
configure:3421: ppu32-gcc  -I/mnt/cell-root/usr/include -L/mnt/cell-root/lib 
-L/mnt/cell-root/usr/lib conftest.c >&5
./configure: line 3422: ppu32-gcc: command not found
configure:3424: $? = 127
configure:3462: result: 
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE "gnuradio"
| #define VERSION "3.1svn"
| /* end confdefs.h.  */
| int
| main ()
| {
|   ;
|   return 0;
| }
configure:3469: error: C compiler cannot create executables

It seems that there is some problem with the ppu32-gcc setting...

so I checked (the ps3) but got:

address@hidden ~]$ ppu32-gcc -v
Using built-in specs.
Target: ppu
Configured with: ../toolchain/gcc/configure --prefix=/usr 
--mandir=/usr/share/man --infodir=/usr/share/info --with-as=/usr/bin/ppu-as 
--with-ld=/usr/bin/ppu-ld --enable-threads --with-system-zlib 
--disable-checking --enable-__cxa_atexit --disable-libunwind-exceptions 
--enable-languages=c,c++,fortran,ada --disable-nls --enable-clocale=gnu 
--enable-version-specific-runtime-libs --with-long-double-128 
--program-prefix=ppu- --disable-bootstrap --host=ppu 
--build=powerpc64-unknown-linux-gnu --target=ppu
Thread model: posix
gcc version 4.1.1

Can anyone tell me what is wrong??


reply via email to

[Prev in Thread] Current Thread [Next in Thread]